### Function

# Gimp brush_get_pixels

#### Declaration [src]

    gboolean
    gimp_brush_get_pixels (
      const gchar* name,
      gint* width,
      gint* height,
      gint* mask_bpp,
      gint* num_mask_bytes,
      guint8** mask_bytes,
      gint* color_bpp,
      gint* num_color_bytes,
      guint8** color_bytes
    )

#### Description [src]

Retrieves information about the specified brush.

This procedure retrieves information about the specified brush. This includes the brush extents (width and height) and its pixels data.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The brush name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`width` | `gint*`
| The brush width.
| The argument will be set by the function.
`height` | `gint*`
| The brush height.
| The argument will be set by the function.
`mask_bpp` | `gint*`
| The brush mask bpp.
| The argument will be set by the function.
`num_mask_bytes` | `gint*`
| Length of brush mask data.
| The argument will be set by the function.
`mask_bytes` | An array of `guint8`
| The brush mask data.
| The argument will be set by the function.
| The length of the array is specified in the `num_mask_bytes` argument.
| The called function takes ownership of the data, and is responsible for freeing it.
`color_bpp` | `gint*`
| The brush color bpp.
| The argument will be set by the function.
`num_color_bytes` | `gint*`
| Length of brush color data.
| The argument will be set by the function.
`color_bytes` | An array of `guint8`
| The brush color data.
| The argument will be set by the function.
| The length of the array is specified in the `num_color_bytes` argument.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| TRUE on success.